Bug 166698 - Review Request: perl-Time-Piece - Time objects from localtime and gmtime
Review Request: perl-Time-Piece - Time objects from localtime and gmtime
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://www.chrisgrau.com/packages/per...
:
Depends On:
Blocks: FE-ACCEPT 166700
  Show dependency treegraph
 
Reported: 2005-08-24 14:35 EDT by Chris Grau
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 12:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addressing review nitpicks (1.40 KB, patch)
2005-08-24 16:07 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Chris Grau 2005-08-24 14:35:25 EDT
Spec Name or Url: http://www.chrisgrau.com/packages/perl/perl-Time-Piece.spec
SRPM Name or Url: http://www.chrisgrau.com/packages/perl/perl-Time-Piece-1.08-1.src.rpm
Description:
The Time::Piece module replaces the standard localtime and gmtime functions
with implementations that return objects.  It does so in a backwards
compatible manner, so that using localtime or gmtime as documented in
perlfunc still behave as expected.
Comment 1 Paul Howarth 2005-08-24 16:05:46 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, correct in spec
- spec file written in English and legible
- sources match upstream
- package build ok in mock on FC4 (i386)
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code not content
- no large docs
- docs don't affect runtime
- no scriptlets

Nitpick:

- BR: perl is redundant
- I believe the CFLAGS setting in:
  CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
OPTIMIZE="$RPM_OPT_FLAGS"
  is redundant and you could use:
  %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
  instead.
- license text not included; suggest adding to %setup:
  perldoc -t perlgpl > COPYING
  perldoc -t perlartistic > Artistic
  and to %files:
  %doc COPYING Artistic

Comment 2 Paul Howarth 2005-08-24 16:07:41 EDT
Created attachment 118090 [details]
Patch addressing review nitpicks
Comment 3 Chris Grau 2005-08-24 16:58:34 EDT
(In reply to comment #1)
> - I believe the CFLAGS setting in:
>   CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
> OPTIMIZE="$RPM_OPT_FLAGS"
>   is redundant and you could use:
>   %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
>   instead.

Now that I take a closer look, that does seem awfully redundant.  Maybe the
spectemplate-perl.spec should be updated.  I had just copied that and moved the
OPTIMIZE argument based on the ExtUtils::MakeMaker documentation.

Nitpicks applied:
http://www.chrisgrau.com/packages/perl/perl-Time-Piece.spec
http://www.chrisgrau.com/packages/perl/perl-Time-Piece-1.08-2.src.rpm

I didn't use your patch, Paul (made the updates before I noticed it), but I
appreciate the effort.
Comment 4 Paul Howarth 2005-08-24 17:03:09 EDT
Approved.
Comment 5 Ville Skyttä 2005-08-25 01:53:23 EDT
Re: redundant: probably; it's there mainly for hysterical raisins, was  
needed some time, and has not been pruned yet.  The Perl spec template was 
initially designed so that it works with RH 7.3 (with an additional package 
providing perl(:MODULE_COMPAT_*) for it) and later.  I don't remember the 
exact details now though.  
  
Future versions of it will most likely have: 
  
    %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" 
    make %{?_smp_mflags} 
 
...but what's still needed is to check whether Module::Build pass-through 
Makefile.PL's work with OPTIMIZE passed to them as well as if they need CFLAGS 
or not, and checking out the latest ExtUtils::MakeMaker from CPAN to see if it 
has changed anything. 

Note You need to log in before you can comment on or make changes to this bug.